#
# Conditional build:
%bcond_with	mozjs		# use Mozilla JavaScript
%bcond_with	v8		# use Chrome V8 JavaScript
#
Summary:	PACrunner - Proxy configuration daemon
Summary(pl.UTF-8):	PACrunner - demon do konfiguracji proxy
Name:		pacrunner
Version:	0.11
Release:	1
License:	GPL v2
Group:		Applications/Networking
Source0:	https://www.kernel.org/pub/linux/network/connman/%{name}-%{version}.tar.xz
# Source0-md5:	e6bcb6a2b26481a34d74357913b0ad71
# pacrunner.org is dead
URL:		http://www.ohloh.net/p/pacrunner
BuildRequires:	curl-devel >= 7.16
BuildRequires:	dbus-devel >= 1.2
BuildRequires:	glib2-devel >= 1:2.16
%{?with_mozjs:BuildRequires:	mozjs38-devel >= 38}
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
%{?with_v8:BuildRequires:	v8-devel}
BuildRequires:	xz
Requires:	curl-libs >= 7.16
Requires:	dbus >= 1.2
Requires:	glib2 >= 1:2.16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PACrunner provides a daemon for processing proxy configuration and
providing information to clients over D-Bus.

%description -l pl.UTF-8
PACrunner zawiera demona do przetwarzania konfiguracji proxy i
udostępniania informacji klientom poprzez D-Bus.

%prep
%setup -q

%build
%configure \
	--disable-silent-rules \
	--enable-curl \
	--enable-duktape \
	%{?with_mozjs:--enable-mozjs} \
	%{?with_v8:--enable-v8}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO doc/*.txt
%attr(755,root,root) %{_sbindir}/pacrunner
/etc/dbus-1/system.d/pacrunner.conf
/usr/share/dbus-1/system-services/pacrunner.service
%changelog
* Fri May 12 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/pacrunner.git;a=log;h=master

* Fri May 12 2017 Jakub Bogusz <qboosh@pld-linux.org> fb82e70
- updated to 0.11

* Thu Oct 06 2016 Jakub Bogusz <qboosh@pld-linux.org> 6184e99
- updated to 0.10
- enable duktape JS engine

* Fri Sep 19 2014 Jakub Bogusz <qboosh@pld-linux.org> cd7bc1f
- updated to 0.9

* Mon Sep 09 2013 Jakub Bogusz <qboosh@pld-linux.org> a6335a8
- updated to 0.8

* Fri Jul 05 2013 Jakub Bogusz <qboosh@pld-linux.org> 3995d85
- updated to 0.7

* Tue Jan 08 2013 Jakub Bogusz <qboosh@pld-linux.org> ba73f00
- updated to 0.6

* Sat Jun 02 2012 Jakub Bogusz <qboosh@pld-linux.org> ee61b15
- new

